#!/usr/bin/python2.4

import eleka

def main():
    miatu = eleka.Miatu.createInstance('tmpdb')
    miatu.index('http://www.eleka.net', 'bat bi hiru lau bost', 'text/plain')
    result = miatu.lookup('bat')
    print result.next()
    assert result.next() == None

if __name__ == '__main__':
    main()
